Buildroot: %{_builddir}/%{name}-root
Name:		unicore-hila-shell
Version:	2.4.1
Release:	1.sl6
Summary:	UNICORE 6 HiLA Grid Shell
Group:		Applications/Internet
License:	BSD
URL:		http://www.unicore.eu/
Requires:       java-1.6.0-openjdk bash
BuildArch:      noarch
Packager:       Bjoern Hagemeier <unicore-support@lists.sourceforge.net>

BuildRequires: subversion  
BuildRequires: maven  
BuildRequires: java-1.6.0-openjdk-devel 
Source0 : unicore-hila-shell-2.4.1-1.src.tar.gz


%description
The HiLA Grid API is an abstract API for accessing Grid resources.

This package contains the HiLA Shell, an interactive shell to access
Grid resources.

%prep 
%setup -q -c . 
%build
%install 
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT 
mvn install -Dmaven.repo.local=`pwd`/hila-shell/maven-repo -Phila-shell; cd hila-shell; mvn install assembly:assembly -Dmaven.repo.local=`pwd`/maven-repo 
mvn -q package -Ppackman -Dmaven.test.skip -Dmaven.repo.local=`pwd`/maven-repo -Dpackage.version=2.4.1 -Dpackage.release=1 -Ddistribution=RedHat -Dpackage.config.dir=src/main/package -Dpackage.type=prep.src.rpm -DindexJars -B; 
cp -r target/RedHat/RPMS/builddir/* $RPM_BUILD_ROOT 
%clean 
rm -rf $RPM_BUILD_ROOT


%files

#
# documentation
#

%dir %attr(755 root root) "/usr/share/doc/unicore"
%dir %attr(755 root root) "/usr/share/doc/unicore/hila-shell"
%attr(644 root root) "/usr/share/doc/unicore/hila-shell/*-javadoc.jar"
%attr(644 root root) "/usr/share/doc/unicore/hila-shell/README"
%attr(644 root root) "/usr/share/doc/unicore/hila-shell/hila-shell.txt"
%attr(644 root root) "/usr/share/doc/unicore/hila-shell/CHANGELOG"


#
# configuration
#
%dir %attr(755 root root) "/etc/unicore"
%dir %attr(755 root root) "/etc/unicore/hila"
%config(noreplace) %attr(644 root root) "/etc/unicore/hila/log4j.properties"

#
# shell scripts
#

%attr(755 root root) "/usr/bin/hila-shell"

#
# binaries
#

%dir %attr(755 root root) "/usr/share/unicore"
%dir %attr(755 root root) "/usr/share/unicore/hila-shell/"
%dir %attr(755 root root) "/usr/share/unicore/hila-shell/lib"
%attr(644 root root) "/usr/share/unicore/hila-shell/lib/*.jar"

%changelog

* Tue Mar 26 2013 Björn Hagemeier <b.hagemeier@fz-juelich.de> 2.4.1-1.sl6
-- Introduce RPM changelog
